import { ClusterUrl } from "@solana/web3.js";
import { CreateSolanaClientArgs, SolanaClusterMoniker } from "../types/rpc";
/**
 * Get a public Solana RPC endpoint for a cluster based on its moniker
 *
 * Note: These RPC URLs are rate limited and not suitable for production applications.
 */
export declare function getPublicSolanaRpcUrl(cluster: SolanaClusterMoniker): string;
/**
 * Create a Solana `rpc` and `rpcSubscriptions` client
 */
export declare function createSolanaClient<TClusterUrl extends ClusterUrl>({ urlOrMoniker, rpcConfig, rpcSubscriptionsConfig, }: CreateSolanaClientArgs<TClusterUrl>): {
    rpc: import("@solana/web3.js").RpcFromTransport<import("@solana/web3.js").SolanaRpcApiFromTransport<import("@solana/web3.js").RpcTransportFromClusterUrl<TClusterUrl>>, import("@solana/web3.js").RpcTransportFromClusterUrl<TClusterUrl>>;
    rpcSubscriptions: import("@solana/web3.js").RpcSubscriptionsFromTransport<import("@solana/web3.js").SolanaRpcSubscriptionsApi, import("@solana/web3.js").RpcSubscriptionsTransportFromClusterUrl<TClusterUrl>>;
};
//# sourceMappingURL=rpc.d.ts.map