import { KeyPairSigner } from '@solana/web3.js';

/** Default Solana tool suite local keypair path */
declare const DEFAULT_CLI_KEYPAIR_PATH = "~/.config/solana/id.json";

/**
 * Load a `KeyPairSigner` from a filesystem wallet json file
 * (i.e. those generated by the `solana-keygen` command)
 */
declare function loadKeypairSignerFromFile(filePath?: string): Promise<KeyPairSigner>;
/**
 * Load a `CryptoKeyPair` from a filesystem wallet json file
 * (i.e. those generated by the `solana-keygen` command)
 */
declare function loadKeypairFromFile(filePath?: string): Promise<CryptoKeyPair>;

export { DEFAULT_CLI_KEYPAIR_PATH, loadKeypairFromFile, loadKeypairSignerFromFile };
