'use strict';

var path = require('path');
var fs = require('fs');
var os = require('os');
var web3_js = require('@solana/web3.js');

// src/node/const.ts
var DEFAULT_CLI_KEYPAIR_PATH = "~/.config/solana/id.json";
async function loadKeypairSignerFromFile(filePath = DEFAULT_CLI_KEYPAIR_PATH) {
  const keypair = await loadKeypairFromFile(filePath);
  return web3_js.createSignerFromKeyPair(keypair);
}
async function loadKeypairFromFile(filePath = DEFAULT_CLI_KEYPAIR_PATH) {
  const resolvedPath = path.resolve(
    filePath.startsWith("~") ? filePath.replace("~", os.homedir()) : filePath
  );
  return web3_js.createKeyPairFromBytes(
    Uint8Array.from(JSON.parse(fs.readFileSync(resolvedPath, "utf8")))
  );
}

exports.DEFAULT_CLI_KEYPAIR_PATH = DEFAULT_CLI_KEYPAIR_PATH;
exports.loadKeypairFromFile = loadKeypairFromFile;
exports.loadKeypairSignerFromFile = loadKeypairSignerFromFile;
//# sourceMappingURL=index.node.cjs.map
//# sourceMappingURL=index.node.cjs.map