import type { ClusterUrl, createSolanaRpc, createSolanaRpcSubscriptions } from "@solana/web3.js";
/** Solana cluster moniker */
export type SolanaClusterMoniker = "mainnet-beta" | "devnet" | "testnet" | "localnet";
export type CreateSolanaClientArgs<TClusterUrl extends ClusterUrl> = {
    /** Full RPC URL (for a private RPC endpoint) or the Solana moniker (for a public RPC endpoint) */
    urlOrMoniker: TClusterUrl | URL | SolanaClusterMoniker;
    /** Configuration used to create the `rpc` client */
    rpcConfig?: Parameters<typeof createSolanaRpc<TClusterUrl>>[1];
    /** Configuration used to create the `rpcSubscriptions` client */
    rpcSubscriptionsConfig?: Parameters<typeof createSolanaRpcSubscriptions<TClusterUrl>>[1];
};
export type CreateSolanaClientResult<TClusterUrl extends ClusterUrl> = {
    /** Newly created Solana RPC client  */
    rpc: ReturnType<typeof createSolanaRpc<TClusterUrl>>;
    /** Newly created Solana RPC subscriptions client */
    rpcSubscriptions: ReturnType<typeof createSolanaRpcSubscriptions<TClusterUrl>>;
};
//# sourceMappingURL=rpc.d.ts.map